import 'package:petitbac/utils/tools.dart';

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeItemsCount = 'itemsCount';
  static const String parameterCodeTimerValue = 'timerValue';
  static const List<String> availableParameters = [
    parameterCodeItemsCount,
    parameterCodeTimerValue,
  ];

  // items count: available values
  static const int itemsCountValueNoLimit = 0;
  static const int itemsCountValueShort = 5;
  static const int itemsCountValueMedium = 10;
  static const int itemsCountValueLong = 20;
  static const List<int> allowedItemsCountValues = [
    itemsCountValueNoLimit,
    itemsCountValueShort,
    itemsCountValueMedium,
    itemsCountValueLong,
  ];
  // items count: default value
  static const int defaultItemsCountValue = itemsCountValueMedium;

  // timer value: available values
  static const int timerValueNoTimer = 0;
  static const int timerValueLow = 10;
  static const int timerValueMedium = 30;
  static const int timerValueHigh = 60;
  static const List<int> allowedTimerValues = [
    timerValueNoTimer,
    timerValueLow,
    timerValueMedium,
    timerValueHigh,
  ];
  // timer value: default value
  static const int defaultTimerValue = timerValueMedium;

  static List<int> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case 'itemsCount':
        return DefaultGameSettings.allowedItemsCountValues;
      case 'timerValue':
        return DefaultGameSettings.allowedTimerValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
