import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:petitbac/cubit/game_cubit.dart';
import 'package:petitbac/models/game.dart';
import 'package:petitbac/ui/widgets/game/game_countdown.dart';
import 'package:petitbac/ui/widgets/game/game_position_indicator.dart';
import 'package:petitbac/ui/widgets/game/widget_category.dart';
import 'package:petitbac/ui/widgets/game/widget_letter.dart';

class GameWidget extends StatelessWidget {
  const GameWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              currentGame.gameSettings.itemsCount != 0
                  ? const GamePositionIndicator()
                  : const SizedBox.shrink(),
              const WidgetLetter(),
              const GameButtonNextWithCountdown(),
              const WidgetCategory(),
            ],
          ),
        );
      },
    );
  }
}
